<div class="image">
  <img [src]="product.imgUrl" />
</div>
<div class="content">
  <a class="header">{{ product.name }}</a>
  <div class="meta">
    <span>Price: ${{ product.price }}</span>
  </div>
  <div class="description">
    <p>{{ product.description }}</p>
  </div>
  <div class="extra">
    <p>
      Check <a>{{ product.owner }}'s page</a>!
    </p>
    <div [ngSwitch]="product.popularity">
      <span *ngSwitchCase="PopularityEnum.VeryPopular" class="ui red tag label">{{ PopularityEnum.VeryPopular }}</span>
      <span *ngSwitchCase="PopularityEnum.Popular" class="ui green tag label">{{ PopularityEnum.Popular }}</span>
      <span *ngSwitchCase="PopularityEnum.Average" class="ui blue tag label">{{ PopularityEnum.Average }}</span>
      <span *ngSwitchDefault class="ui tag label">{{ PopularityEnum.NotPopular }}</span>
    </div>
    <button type="button" class="ui button" *ngIf="product.forSale">Buy</button>
  </div>
</div>
